summaryrefslogtreecommitdiffstats
path: root/ci/build-macos.sh
diff options
context:
space:
mode:
authorJan Ekström <jeebjp@gmail.com>2019-07-21 21:14:47 +0300
committerJan Ekström <jeebjp@gmail.com>2019-09-02 00:34:49 +0300
commit56d31ae1901be8d68293e9ff5c2a006341ecb9f8 (patch)
tree5a34fe1ac6d9e553e534b7954c60c34e87dcf834 /ci/build-macos.sh
parentb539eb222bbc6099e6661e6b1fe4dcb2d775342a (diff)
downloadmpv-56d31ae1901be8d68293e9ff5c2a006341ecb9f8.tar.bz2
mpv-56d31ae1901be8d68293e9ff5c2a006341ecb9f8.tar.xz
travis: rework scripts to re-enable macOS
* Adds a script to clone and build FFmpeg as well as to configure and build mpv itself. Currently only used for macOS and contain hard-coded macOS specific options. * Still works with the Linux containers. * Moves our language back to "c" from "generic" * Defines our Linux distribution as "bionic" to get the latest Ubuntu base distribution to be the runner for our containers. * Adds the homebrew add-on for macOS package installation for dependencies. Installs everything required but FFmpeg, as we want to have our own FFmpeg snapshots.
Diffstat (limited to 'ci/build-macos.sh')
-rwxr-xr-xci/build-macos.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/ci/build-macos.sh b/ci/build-macos.sh
new file mode 100755
index 0000000000..4984e3ba81
--- /dev/null
+++ b/ci/build-macos.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+set -e
+
+FFMPEG_SYSROOT="${HOME}/deps/sysroot"
+MPV_INSTALL_PREFIX="${HOME}/out/mpv"
+MPV_VARIANT="${TRAVIS_OS_NAME}"
+
+if [[ -d "./build/${MPV_VARIANT}" ]] ; then
+ rm -rf "./build/${MPV_VARIANT}"
+fi
+
+if [[ ! -e "./waf" ]] ; then
+ python3 ./bootstrap.py
+fi
+
+PKG_CONFIG_PATH="${FFMPEG_SYSROOT}/lib/pkgconfig/" CC="${CC}" CXX="${CXX}" python3 \
+ ./waf configure \
+ --variant="${MPV_VARIANT}" \
+ --prefix="${MPV_INSTALL_PREFIX}" \
+ --enable-{gl,iconv,lcms2,libass,libass-osd,libmpv-shared,lua,jpeg,plain-gl,zlib} \
+ --enable-{apple-remote,cocoa,coreaudio,gl-cocoa,macos-cocoa-cb,macos-touchbar,videotoolbox-gl}
+
+python3 ./waf build --variant="${MPV_VARIANT}" -j4
+
+python3 ./waf install --variant="${MPV_VARIANT}"